<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      >

    <body>

        <ui:composition template="../WEB-INF/template.xhtml">

            <ui:define name="conteudo">

                <h:form prependId="false">

                    <p:growl id="growl"/>

                    <p:panelGrid columns="2" id="painel">

                        <p:outputLabel value="Código:" />
                        <p:inputText 
                            value="#{usuarioBean.usuario.id}"
                            readonly="true" />


                        <p:outputLabel value="Nome:" />
                        <p:inputText id="txtNome" value="#{usuarioBean.usuario.nome}" />




                        <p:outputLabel value="Senha:" for="txtPassword"/> 
                        <p:password id="txtPassword" value="#{usuarioBean.usuario.senha}"/>

                        <p:outputLabel value="E-mail:" />
                        <p:inputText id="txtEmail" value="#{usuarioBean.usuario.email}" />


                        <p:commandButton value="Salvar"
                                         actionListener="#{usuarioBean.salvar}"
                                         update="growl , painel , tabela"
                                         />

                        <p:commandButton value="Novo" immediate="true" 
                                         actionListener="#{usuarioBean.novo}" 
                                         process="@this"
                                         update="painel" />



                    </p:panelGrid>

                    <p:dataTable id="tabela" value="#{usuarioBean.listaUsuarios}" 
                                 var="usuario">
                        <p:column headerText="Código">
                            #{usuario.id}
                        </p:column>
                        <p:column headerText="Nome">
                            #{usuario.nome}
                        </p:column>
                        <p:column headerText="E-mail">
                            #{usuario.email}
                        </p:column>
                        <p:column headerText="Ações">
                            <p:commandLink value="Editar" update="painel" immediate="true" >
                                <f:setPropertyActionListener 
                                    value="#{usuario}"
                                    target="#{usuarioBean.usuario}" 
                                    />
                            </p:commandLink>
                            <p:commandLink value="Excluir" 
                                           update="tabela  , growl"
                                           process="@this"
                                           actionListener="#{usuarioBean.deletar(usuario)}">
                                <p:confirm header="Confirmação" 
                                           message="Tem certeza ?" icon="ui-icon-alert" />

                            </p:commandLink>


                        </p:column>
                    </p:dataTable>



                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Yes" 
                                         type="button" styleClass="ui-confirmdialog-yes"
                                         icon="ui-icon-check" />
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog>

                </h:form>


            </ui:define>

        </ui:composition>

    </body>
</html>


